Skip to content

Email, ntfy and webhook setup

GET
/api/v1/settings/channels
curl --request GET \
--url http://127.0.0.1:8484/api/v1/settings/channels

OK

Media typeapplication/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
allowPrivate
required

Webhooks and ntfy may reach private-network addresses

boolean
allowPrivateSource
string
Allowed values: env settings
ntfy
required
object
hasToken
required

An access token is saved; it is never returned

boolean
server
required

Where members subscribe to their topic

string
source

Empty: the default public server

string
Allowed values: env settings
publicUrl

Address used for links in messages; empty when the server was started without –public-url

string
smtp
required
object
configured
required
boolean
from
string
hasPassword
required

A password is saved; it is never returned

boolean
host
string
port
integer format: int64
source

Env: set by EXHALE_SMTP_* on the server and not editable in the web

string
Allowed values: env settings
tls
string
Allowed values: starttls tls none
username
string

Example

{
"$schema": "https://example.com/api/schemas/ChannelsStatus.json",
"allowPrivateSource": "env",
"ntfy": {
"source": "env"
},
"smtp": {
"source": "env",
"tls": "starttls"
}
}

Error

Media typeapplication/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"$schema": "https://example.com/api/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}